Bug 59257 - Upgrade to bouncy castle 1.54
Summary: Upgrade to bouncy castle 1.54
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: POI Overall (show other bugs)
Version: unspecified
Hardware: PC All
: P2 trivial (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-31 19:24 UTC by Tim Allison
Modified: 2016-04-04 11:50 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Allison 2016-03-31 19:24:10 UTC
See summary.
Comment 1 Tim Allison 2016-04-01 01:00:34 UTC
r1737298
Comment 2 Javen O'Neal 2016-04-02 01:56:39 UTC
After running `ant test`, 

src/ooxml/testcases/org/apache/poi/openxml4j/opc/TestZipPackage.java leaves test-data/openxml4j/at.pzp.www_uploads_media_PP_Scheinecker-jdk6error.pptx in a modified state. This is due to bug 58779. If this matters (for example, this file needs to be used multiple times during junit testing), use `ppt.getPackage().revert();` instead of `ppt.close()` to revert changes to the file. A spreadsheet/slideshow can be modified by POI just by being opened.
Comment 3 Tim Allison 2016-04-04 11:50:17 UTC
Thank you, Javen.  Dominik fixed the test to open the pptx read-only in r1736933.  I cat'd r1736933 of the pptx file to my local copy and committed in r1737662.  Sorry, all, for not checking my diff more carefully on the initial commit.